Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class TextEditor

A simple text pane that is printable and wrapping is optional.

author:
  Evan "Hippy" Slatis

Field Summary
`String` | `FIND`
`String` | `FIND_NEXT`
`String` | `FIND_PREVIOUS`
`Pattern` | `LINE_START`
`PageFormat` | `PAGE_FORMAT`
`JTextPane` | `PRINT_PANE`
`Dimension` | `PRINT_SIZE`
`String` | `REPLACE`
`String` | `TABBED_SPACES`
`Pattern` | `TAB_BACK_PATTERN`
`Caret` | `defaultCaret`
`boolean` | `isOvertypeMode`
`int` | `lastUpdate`
`MouseAdapter` | `mouseAdapter`
`boolean` | `multiLineTab`
`int` | `numPages`
`Caret` | `overtypeCaret`
`boolean` | `searchable`
`boolean` | `tabsAsSpaces`
`Toolkit` | `toolkit`
`boolean` | `unwrapped`

Constructor Summary
`TextEditor()` Creates a new instance of TextEditor
`TextEditor(boolean tabsAsSpaces)` Creates a new instance of TextEditor
`TextEditor(boolean tabsAsSpaces, boolean multiLineTab)` Creates a new instance of TextEditor
`TextEditor(boolean tabsAsSpaces, boolean multiLineTab, boolean unwrapped)` Creates a new instance of TextEditor

Method Summary
`void` | `addNotify()`
`int` | `getNumberOfPages()`
`PageFormat` | `getPageFormat(int pageIndex)`
`Printable` | `getPrintable(int param)`
`boolean` | `getScrollableTracksViewportWidth()`
`boolean` | `isMultiLineTabbed()`
`void` | `isMultiLineTabbed(boolean multiLineTab)`
`static boolean` | `isOvertypeMode()`
`boolean` | `isTabsAsSpaces()`
`void` | `isTabsAsSpaces(boolean tabsAsSpaces)`
`boolean` | `isUnwrapped()`
`int` | `print(Graphics graphics, PageFormat pageFormat, int page)`
`void` | `processKeyEvent(KeyEvent e)`
`void` | `removeNotify()`
`void` | `replaceSelection(String text)`
`void` | `setBounds(int x, int y, int width, int height)`
`void` | `setOvertypeMode(boolean isOvertypeMode)` Set the caret to use depending on overtype/insert mode
`void` | `setUnwrapped(boolean unwrapped)`

Constructor Detail

### TextEditor

    public TextEditor()

  Creates a new instance of TextEditor

### TextEditor

    public TextEditor(boolean tabsAsSpaces)

  Creates a new instance of TextEditor

### TextEditor

    public TextEditor(boolean tabsAsSpaces, boolean multiLineTab)

  Creates a new instance of TextEditor

### TextEditor

    public TextEditor(boolean tabsAsSpaces, boolean multiLineTab, boolean unwrapped)

  Creates a new instance of TextEditor

Method Detail

### addNotify

    public void addNotify()

### getNumberOfPages

    public int getNumberOfPages()

### getPageFormat

    public PageFormat getPageFormat(int pageIndex)

### getPrintable

    public Printable getPrintable(int param)

### getScrollableTracksViewportWidth

    public boolean getScrollableTracksViewportWidth()

### isMultiLineTabbed

    public boolean isMultiLineTabbed()

### isMultiLineTabbed

    public void isMultiLineTabbed(boolean multiLineTab)

  param:
    multiLineTab

### isOvertypeMode

    public static boolean isOvertypeMode()

### isTabsAsSpaces

    public boolean isTabsAsSpaces()

### isTabsAsSpaces

    public void isTabsAsSpaces(boolean tabsAsSpaces)

  param:
    tabsAsSpaces

### isUnwrapped

    public boolean isUnwrapped()

### print

    public int print(Graphics graphics, PageFormat pageFormat, int page)

### processKeyEvent

    void processKeyEvent(KeyEvent e)

### removeNotify

    public void removeNotify()

### replaceSelection

    public void replaceSelection(String text)

### setBounds

    public void setBounds(int x, int y, int width, int height)

### setOvertypeMode

    public void setOvertypeMode(boolean isOvertypeMode)

  Set the caret to use depending on overtype/insert mode
  param:
    isOvertypeMode

### setUnwrapped

    public void setUnwrapped(boolean unwrapped)

  param:
    unwrapped